<script>
import SaveBtn from "@components/utils/save-btn";
import EditMyDomains from "@components/user/edit-my-domains";

export default {
  name: "CandidateEditInfos",
  components: { SaveBtn, EditMyDomains },
  props : {
    candidate : null
  },
  methods : {
    async saveInfos() {
      const message = await this.$store.dispatch('user/update', {id : this.candidate.user.id, user : this.candidate})
      this.$emit('updated', {message : message, modal : 'bv-edit-personal-infos'})
    }
  }
}
</script>

<template>
  <form @submit.prevent="saveInfos">
    <div class="row">
      <div class="col-md-6">
        <div class="form-group">
          <label for="firstname">Prénom</label>
          <input id="firstname" v-model="candidate.firstname" type="text" class="form-control">
        </div>
      </div>
      <div class="col-md-6">
        <div class="form-group">
          <label for="lastname">Nom</label>
          <input id="lastname" v-model="candidate.lastname" type="text" class="form-control">
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4">
        <div class="form-group">
          <label for="email">Email <span>*</span></label>
          <input id="email" v-model="candidate.email" type="email" class="form-control" required>
        </div>
      </div>
      <div class="col-md-4">
        <b-form-group label="Ville" label-for="city">
          <b-form-input id="city" v-model="candidate.user.city"></b-form-input>
        </b-form-group>
      </div>
      <div class="col-md-4">
        <b-form-group label="Nom du poste recherché" label-for="job_name">
          <b-form-input id="job_name" v-model="candidate.job_name" placeholder="Développeur Full-Stack"></b-form-input>
        </b-form-group>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4">
        <b-form-group label="Missions différentes" label-for="number_missions">
          <b-form-input id="number_missions" v-model="candidate.number_missions" type="number"></b-form-input>
        </b-form-group>
      </div>
      <div class="col-md-4">
        <b-form-group label="Expériences (en années)" label-for="years_experiences">
          <b-form-input id="years_experiences" v-model="candidate.years_experiences" type="number"></b-form-input>
        </b-form-group>
      </div>
      <div class="col-md-4">
        <b-form-group label="Salaire souhaité (en € annuel brut)" label-for="expected_salary">
          <b-form-input id="expected_salary" v-model="candidate.expected_salary" type="number"></b-form-input>
        </b-form-group>
      </div>
    </div>
    <EditMyDomains v-if="candidate" :user="candidate"></EditMyDomains>
    <SaveBtn></SaveBtn>
  </form>
</template>
